Summary: An implementation of the Scheme programming language.
Name: umb-scheme
Version: 3.2
Release: 11
Copyright: GPL
Group: Development/Languages
Source: ftp://ftp.cs.umb.edu/pub/scheme/umb-scheme-3.2.tar.gz
Source1: http://swissnet.ai.mit.edu/ftpdir/scm/slib2c7.zip
Source2: slibcat
Patch0: umb-scheme-3.2-misc.patch
Patch1: umb-scheme-3.2-texinfo.patch
Patch2: umb-scheme-3.2-config.patch
Patch3: umb-scheme-3.2-man.patch
Patch4: umb-scheme-3.2-chapter.patch
Patch5: umb-scheme-3.2-slib2c7.patch
BuildRoot: %{_tmppath}/umb-scheme-root

%description
UMB Scheme is a public domain implementation of the Scheme programming
language.  Scheme is a statically scoped and properly tail-recursive
dialect of the Lisp programming language, designed with clear and
simple semantics and a minimal number of ways to form expressions.

Install the umb-scheme package if you need an implementation of the
Scheme programming language.

%prep
%setup -q -n scheme-3.2
rm -fr slib
unzip -q -o %{SOURCE1}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"
makeinfo scheme.texinfo

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,info,lib/umb-scheme,man/man1}

install -s -m755 scheme $RPM_BUILD_ROOT/usr/bin/umb-scheme
install -m755 scheme.1 $RPM_BUILD_ROOT/usr/man/man1/umb-scheme.1
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/umb-scheme/slibcat

find slib | cpio -pdm $RPM_BUILD_ROOT/usr/lib/umb-scheme
install -m644 prelude.scheme $RPM_BUILD_ROOT/usr/lib/umb-scheme

install -m644 scheme.info $RPM_BUILD_ROOT/usr/info/umb-scheme.info
gzip -9nf $RPM_BUILD_ROOT/usr/info/umb-scheme.info

chmod -x $RPM_BUILD_ROOT/usr/man/*/*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/umb-scheme.info.gz /usr/info/dir \
  --entry="* umb-scheme: (umb-scheme).                     UMB Scheme Interpreter."

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/umb-scheme.info.gz /usr/info/dir \
      --entry="* umb-scheme: (umb-scheme).                     UMB Scheme Interpreter."
fi

%files
%defattr(-,root,root)
%doc slib/ANNOUNCE slib/FAQ slib/README
/usr/lib/umb-scheme
/usr/bin/umb-scheme
/usr/man/man1/umb-scheme.1*
/usr/info/umb-scheme.info.gz

%changelog
* Tue Feb  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- update slib to version 2c7
- generate new catalog for slib and include it

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove executable bit from man page (Bug #9035)
- deal with RPM compressing man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
